For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cancel Order

This method is used to close an active Limit Order with its ID. If successful, returns information about the closed order.

Details

POST https://api.pointpay.io/api/v1/order/cancel

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Сonverted Base64 string containing body JSON

X-TXC-SIGNATURE*

STRING

Encrypted HmacSHA512 string containing body JSON with a API secret key

Content-Type

application/json

Content type

Request Body

Name
Type
Description
Example

market*

STRING

Any public pair

BTC_USDT

orderId*

NUMERIC

Order ID for canceling

1040149431

request*

STRING

A request path without the domain name

/api/v1/order/cancel

nonce*

NUMERIC

A 13-character number that must always be greater than the nonce of the previous completed request (we suggest generating a nonce as the UNIX timestamp in milliseconds)

1704070810000

Request Body Example

CURL Example
curl --location --request POST 'https://api.pointpay.om/api/v1/order/cancel' \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: 0000000000XXXXXXXXXXXXXXXXX' \
--header 'X-TXC-PAYLOAD: 0000000000XXXXXXXXXXXXXXXXX' \
--header 'X-TXC-SIGNATURE: 0000000000XXXXXXXXXXXXXXXXX' \
--data-raw '{"request":"/api/v1/order/cancel","market":"BTC_USDT","orderId":1040149431,"nonce":1704070810000}'

Response parameters:

Name
Type
Description

orderId

NUMERIC

Order ID

market

STRING

Order pair

side

STRING

Order side (buy / sell)

type

STRING

Order type

timestamp

NUMERIC

Order creation time

price

STRING

Order price

dealMoney

STRING

Executed order amount (in 2nd ticker of pair)

dealStock

STRING

Executed order amount (in 1st ticker of pair)

amount

STRING

Order amount (in 1st ticker of pair)

takerFee

STRING

Order taker fee

makerFee

STRING

Order maker fee

left

STRING

Available order amount (if = 0 means finished order)

Response example:

Response example 1:

This error occurs in the following cases:

  • The request was signed incorrectly.

  • Some of the provided parameters are incorrect.

  • Provided nonce is incorrect or less than on previous completed request

  • The base URL or path is incorrect.

  • The API keys are not activated.

Response example 2:

This error occurs in the following cases:

  • One or more body params provided incorrectly

  • Required body params are not provided

Response example:

This error occurs in the following cases:

  • The request was made with undefined data and the service cannot find the data for response.

Last updated